Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
Diffstat (limited to 'extraplugins/dsml.validation')
-rw-r--r--extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.generator/META-INF/MANIFEST.MF17
-rw-r--r--extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.generator/pom.xml4
-rw-r--r--extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.model.ui/META-INF/MANIFEST.MF29
-rw-r--r--extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.model.ui/pom.xml4
-rw-r--r--extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.model/META-INF/MANIFEST.MF19
-rw-r--r--extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.model/pom.xml4
-rw-r--r--extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.properties/META-INF/MANIFEST.MF13
-rw-r--r--extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.properties/pom.xml4
-rw-r--r--extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.wizard/META-INF/MANIFEST.MF22
-rw-r--r--extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.wizard/pom.xml4
-rw-r--r--extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation/META-INF/MANIFEST.MF20
-rw-r--r--extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation/pom.xml4
12 files changed, 66 insertions, 78 deletions
diff --git a/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.generator/META-INF/MANIFEST.MF b/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.generator/META-INF/MANIFEST.MF
index 4ef36e9d1a4..f3f019ec213 100644
--- a/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.generator/META-INF/MANIFEST.MF
+++ b/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.generator/META-INF/MANIFEST.MF
@@ -1,4 +1,6 @@
Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.dsml.validation.generator,
+ org.eclipse.papyrus.dsml.validation.generator.xtend
Require-Bundle: org.eclipse.core.runtime,
org.eclipse.uml2.uml,
org.eclipse.emf.ecore,
@@ -6,23 +8,20 @@ Require-Bundle: org.eclipse.core.runtime,
org.eclipse.ocl,
org.eclipse.ocl.ecore,
org.eclipse.emf.validation;bundle-version="1.4.0",
- org.eclipse.papyrus.dsml.validation.model;bundle-version="1.0.1",
+ org.eclipse.papyrus.dsml.validation.model;bundle-version="1.0.2",
com.google.guava;bundle-version="11.0.0",
org.eclipse.xtext.xbase.lib,
org.eclipse.xtend.lib,
org.eclipse.xtend.lib.macro,
org.eclipse.xtend2.lib;bundle-version="2.7.2",
- org.eclipse.papyrus.codegen.base;bundle-version="1.0.1"
-Export-Package: org.eclipse.papyrus.dsml.validation.generator,
- org.eclipse.papyrus.dsml.validation.generator.xtend
+ org.eclipse.papyrus.codegen.base;bundle-version="1.0.2"
Bundle-Vendor: %pluginProvider
-Eclipse-LazyStart: true
Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.0.1.qualifier
-Bundle-Localization: plugin
+Eclipse-LazyStart: true
+Bundle-Version: 1.0.2.qualifier
Bundle-Name: %pluginName
-Bundle-Activator: org.eclipse.papyrus.dsml.validation.generator.Activator
+Bundle-Localization: plugin
Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.dsml.validation.generator.Activator
Bundle-SymbolicName: org.eclipse.papyrus.dsml.validation.generator
Bundle-RequiredExecutionEnvironment: J2SE-1.5
-
diff --git a/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.generator/pom.xml b/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.generator/pom.xml
index dc6635b6c59..cfb98e83ee1 100644
--- a/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.generator/pom.xml
+++ b/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.generator/pom.xml
@@ -4,11 +4,11 @@
<parent>
<artifactId>org.eclipse.papyrus</artifactId>
<groupId>org.eclipse.papyrus</groupId>
- <version>1.0.1-SNAPSHOT</version>
+ <version>1.0.2-SNAPSHOT</version>
<relativePath>../../../releng/top-pom-extras.xml</relativePath>
</parent>
<artifactId>org.eclipse.papyrus.dsml.validation.generator</artifactId>
<groupId>org.eclipse.papyrus</groupId>
- <version>1.0.1-SNAPSHOT</version>
+ <version>1.0.2-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project> \ No newline at end of file
diff --git a/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.model.ui/META-INF/MANIFEST.MF b/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.model.ui/META-INF/MANIFEST.MF
index 08cb4dab645..5953f0dada6 100644
--- a/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.model.ui/META-INF/MANIFEST.MF
+++ b/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.model.ui/META-INF/MANIFEST.MF
@@ -1,27 +1,24 @@
Manifest-Version: 1.0
-Export-Package: org.eclipse.papyrus.dsml.validation.generation.ui
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.uml2.uml;bundle-version="3.1.0",
- org.eclipse.papyrus.dsml.validation.wizard;bundle-version="1.0.1",
- org.eclipse.papyrus.dsml.validation.model;bundle-version="1.0.1",
- org.eclipse.papyrus.infra.core;bundle-version="1.0.1",
- org.eclipse.papyrus.uml.diagram.common;bundle-version="1.0.1",
- org.eclipse.papyrus.infra.widgets.toolbox;bundle-version="1.0.1",
- org.eclipse.papyrus.infra.emf;bundle-version="1.0.1",
+ org.eclipse.papyrus.dsml.validation.wizard;bundle-version="1.0.2",
+ org.eclipse.papyrus.dsml.validation.model;bundle-version="1.0.2",
+ org.eclipse.papyrus.infra.core;bundle-version="1.0.2",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="1.0.2",
+ org.eclipse.papyrus.infra.widgets.toolbox;bundle-version="1.0.2",
+ org.eclipse.papyrus.infra.emf;bundle-version="1.0.2",
org.eclipse.core.resources;bundle-version="3.9.0",
- org.eclipse.papyrus.dsml.validation.generator;bundle-version="1.0.1",
- org.eclipse.papyrus.infra.core.log;bundle-version="1.0.1",
+ org.eclipse.papyrus.dsml.validation.generator;bundle-version="1.0.2",
+ org.eclipse.papyrus.infra.core.log;bundle-version="1.0.2",
org.eclipse.ui.ide;bundle-version="3.10.1"
+Export-Package: org.eclipse.papyrus.dsml.validation.generation.ui
Bundle-Vendor: %pluginProvider
Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.0.1.qualifier
-Bundle-Localization: plugin
+Bundle-Version: 1.0.2.qualifier
Bundle-Name: %pluginName
-Bundle-Activator: org.eclipse.papyrus.dsml.validation.generation.ui.Ac
- tivator
+Bundle-Localization: plugin
Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.dsml.validation.model.ui;sing
- leton:=true
+Bundle-Activator: org.eclipse.papyrus.dsml.validation.generation.ui.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.dsml.validation.model.ui;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
-
diff --git a/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.model.ui/pom.xml b/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.model.ui/pom.xml
index 235a9ad1c23..585234e1839 100644
--- a/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.model.ui/pom.xml
+++ b/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.model.ui/pom.xml
@@ -4,11 +4,11 @@
<parent>
<artifactId>org.eclipse.papyrus</artifactId>
<groupId>org.eclipse.papyrus</groupId>
- <version>1.0.1-SNAPSHOT</version>
+ <version>1.0.2-SNAPSHOT</version>
<relativePath>../../../releng/top-pom-extras.xml</relativePath>
</parent>
<artifactId>org.eclipse.papyrus.dsml.validation.model.ui</artifactId>
<groupId>org.eclipse.papyrus</groupId>
- <version>1.0.1-SNAPSHOT</version>
+ <version>1.0.2-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project> \ No newline at end of file
diff --git a/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.model/META-INF/MANIFEST.MF b/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.model/META-INF/MANIFEST.MF
index ff38b0741e9..37b1a15c60a 100644
--- a/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.model/META-INF/MANIFEST.MF
+++ b/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.model/META-INF/MANIFEST.MF
@@ -1,22 +1,21 @@
Manifest-Version: 1.0
-Export-Package: org.eclipse.papyrus.dsml.validation.model,
- org.eclipse.papyrus.dsml.validation.model.elements.impl,
- org.eclipse.papyrus.dsml.validation.model.elements.interfaces,
- org.eclipse.papyrus.dsml.validation.model.profilenames
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.uml2.uml;bundle-version="3.2.100",
org.eclipse.emf.transaction;bundle-version="1.4.0",
org.eclipse.gmf.runtime.emf.commands.core;bundle-version="1.4.0",
- org.eclipse.papyrus.infra.core;bundle-version="1.0.1",
- org.eclipse.papyrus.dsml.validation;bundle-version="1.0.1"
+ org.eclipse.papyrus.infra.core;bundle-version="1.0.2",
+ org.eclipse.papyrus.dsml.validation;bundle-version="1.0.2"
+Export-Package: org.eclipse.papyrus.dsml.validation.model,
+ org.eclipse.papyrus.dsml.validation.model.elements.impl,
+ org.eclipse.papyrus.dsml.validation.model.elements.interfaces,
+ org.eclipse.papyrus.dsml.validation.model.profilenames
Bundle-Vendor: %pluginProvider
Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.0.1.qualifier
-Bundle-Localization: plugin
+Bundle-Version: 1.0.2.qualifier
Bundle-Name: %pluginName
-Bundle-Activator: org.eclipse.papyrus.dsml.validation.model.Activator
+Bundle-Localization: plugin
Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.dsml.validation.model.Activator
Bundle-SymbolicName: org.eclipse.papyrus.dsml.validation.model
Bundle-RequiredExecutionEnvironment: J2SE-1.5
-
diff --git a/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.model/pom.xml b/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.model/pom.xml
index 442a3f1f9e3..42330763037 100644
--- a/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.model/pom.xml
+++ b/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.model/pom.xml
@@ -4,11 +4,11 @@
<parent>
<artifactId>org.eclipse.papyrus</artifactId>
<groupId>org.eclipse.papyrus</groupId>
- <version>1.0.1-SNAPSHOT</version>
+ <version>1.0.2-SNAPSHOT</version>
<relativePath>../../../releng/top-pom-extras.xml</relativePath>
</parent>
<artifactId>org.eclipse.papyrus.dsml.validation.model</artifactId>
<groupId>org.eclipse.papyrus</groupId>
- <version>1.0.1-SNAPSHOT</version>
+ <version>1.0.2-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project> \ No newline at end of file
diff --git a/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.properties/META-INF/MANIFEST.MF b/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.properties/META-INF/MANIFEST.MF
index 6f59b5f46f7..85a3ae20467 100644
--- a/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.properties/META-INF/MANIFEST.MF
+++ b/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.properties/META-INF/MANIFEST.MF
@@ -1,16 +1,13 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
- org.eclipse.papyrus.views.properties;bundle-version="1.0.1"
+ org.eclipse.papyrus.views.properties;bundle-version="1.0.2"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.0.1.qualifier
-Bundle-Localization: plugin
+Bundle-Version: 1.0.2.qualifier
Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-Activator: org.eclipse.papyrus.dsml.validation.properties.Activator
Bundle-ManifestVersion: 2
-Bundle-Activator: org.eclipse.papyrus.dsml.validation.properties.Activ
- ator
-Bundle-SymbolicName: org.eclipse.papyrus.dsml.validation.properties;si
- ngleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.dsml.validation.properties;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
-
diff --git a/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.properties/pom.xml b/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.properties/pom.xml
index d2aecb9042e..9d46c24934d 100644
--- a/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.properties/pom.xml
+++ b/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.properties/pom.xml
@@ -4,11 +4,11 @@
<parent>
<artifactId>org.eclipse.papyrus</artifactId>
<groupId>org.eclipse.papyrus</groupId>
- <version>1.0.1-SNAPSHOT</version>
+ <version>1.0.2-SNAPSHOT</version>
<relativePath>../../../releng/top-pom-extras.xml</relativePath>
</parent>
<artifactId>org.eclipse.papyrus.dsml.validation.properties</artifactId>
<groupId>org.eclipse.papyrus</groupId>
- <version>1.0.1-SNAPSHOT</version>
+ <version>1.0.2-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project> \ No newline at end of file
diff --git a/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.wizard/META-INF/MANIFEST.MF b/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.wizard/META-INF/MANIFEST.MF
index db7e017df6f..b1cac94e0fc 100644
--- a/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.wizard/META-INF/MANIFEST.MF
+++ b/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.wizard/META-INF/MANIFEST.MF
@@ -1,5 +1,4 @@
Manifest-Version: 1.0
-Export-Package: org.eclipse.papyrus.dsml.validation.wizard
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.pde;bundle-version="3.6.100",
@@ -7,21 +6,20 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.pde.ui;bundle-version="3.6.100",
org.eclipse.core.resources;bundle-version="3.7.100",
org.eclipse.ui.ide;bundle-version="3.7.0",
- org.eclipse.papyrus.eclipse.project.editors;bundle-version="1.0.1",
- org.eclipse.papyrus.dsml.validation.model;bundle-version="1.0.1",
+ org.eclipse.papyrus.eclipse.project.editors;bundle-version="1.0.2",
+ org.eclipse.papyrus.dsml.validation.model;bundle-version="1.0.2",
org.eclipse.uml2.uml;bundle-version="3.2.100",
- org.eclipse.papyrus.dsml.validation.generator;bundle-version="1.0.1",
+ org.eclipse.papyrus.dsml.validation.generator;bundle-version="1.0.2",
org.eclipse.acceleo.engine;bundle-version="3.1.1",
- org.eclipse.papyrus.customization;bundle-version="1.0.1",
- org.eclipse.papyrus.infra.core.log;bundle-version="1.0.1"
+ org.eclipse.papyrus.customization;bundle-version="1.0.2",
+ org.eclipse.papyrus.infra.core.log;bundle-version="1.0.2"
+Export-Package: org.eclipse.papyrus.dsml.validation.wizard
Bundle-Vendor: %pluginProvider
Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.0.1.qualifier
-Bundle-Localization: plugin
+Bundle-Version: 1.0.2.qualifier
Bundle-Name: %pluginName
-Bundle-Activator: org.eclipse.papyrus.dsml.validation.wizard.Activator
+Bundle-Localization: plugin
Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.dsml.validation.wizard;single
- ton:=true
+Bundle-Activator: org.eclipse.papyrus.dsml.validation.wizard.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.dsml.validation.wizard;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
-
diff --git a/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.wizard/pom.xml b/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.wizard/pom.xml
index ceeae539e81..47e0ee49dc4 100644
--- a/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.wizard/pom.xml
+++ b/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation.wizard/pom.xml
@@ -4,11 +4,11 @@
<parent>
<artifactId>org.eclipse.papyrus</artifactId>
<groupId>org.eclipse.papyrus</groupId>
- <version>1.0.1-SNAPSHOT</version>
+ <version>1.0.2-SNAPSHOT</version>
<relativePath>../../../releng/top-pom-extras.xml</relativePath>
</parent>
<artifactId>org.eclipse.papyrus.dsml.validation.wizard</artifactId>
<groupId>org.eclipse.papyrus</groupId>
- <version>1.0.1-SNAPSHOT</version>
+ <version>1.0.2-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project> \ No newline at end of file
diff --git a/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation/META-INF/MANIFEST.MF b/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation/META-INF/MANIFEST.MF
index 2a3446ca5d9..10f7efbc2fa 100644
--- a/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation/META-INF/MANIFEST.MF
+++ b/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation/META-INF/MANIFEST.MF
@@ -1,24 +1,22 @@
Manifest-Version: 1.0
-Export-Package: org.eclipse.papyrus.dsml.validation,
- org.eclipse.papyrus.dsml.validation.PapyrusDSMLValidationRule,
- org.eclipse.papyrus.dsml.validation.PapyrusDSMLValidationRule.impl,
- org.eclipse.papyrus.dsml.validation.PapyrusDSMLValidationRule.util
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.emf.ecore;visibility:=reexport,
org.eclipse.emf.ecore.xmi;visibility:=reexport,
org.eclipse.uml2.types;visibility:=reexport,
org.eclipse.uml2.uml;bundle-version="5.0.0",
- org.eclipse.papyrus.uml.extensionpoints;bundle-version="1.0.1"
+ org.eclipse.papyrus.uml.extensionpoints;bundle-version="1.0.2"
+Export-Package: org.eclipse.papyrus.dsml.validation,
+ org.eclipse.papyrus.dsml.validation.PapyrusDSMLValidationRule,
+ org.eclipse.papyrus.dsml.validation.PapyrusDSMLValidationRule.impl,
+ org.eclipse.papyrus.dsml.validation.PapyrusDSMLValidationRule.util
Bundle-Vendor: %pluginProvider
Bundle-ActivationPolicy: lazy
Bundle-ClassPath: .
-Bundle-Version: 1.0.1.qualifier
-Bundle-Localization: plugin
+Bundle-Version: 1.0.2.qualifier
Bundle-Name: %pluginName
-Bundle-Activator: org.eclipse.papyrus.dsml.validation.Activator
+Bundle-Localization: plugin
Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.dsml.validation;singleton:=tr
- ue
+Bundle-Activator: org.eclipse.papyrus.dsml.validation.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.dsml.validation;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
-
diff --git a/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation/pom.xml b/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation/pom.xml
index a2ba00c065a..6f892b9d489 100644
--- a/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation/pom.xml
+++ b/extraplugins/dsml.validation/org.eclipse.papyrus.dsml.validation/pom.xml
@@ -4,11 +4,11 @@
<parent>
<artifactId>org.eclipse.papyrus</artifactId>
<groupId>org.eclipse.papyrus</groupId>
- <version>1.0.1-SNAPSHOT</version>
+ <version>1.0.2-SNAPSHOT</version>
<relativePath>../../../releng/top-pom-extras.xml</relativePath>
</parent>
<artifactId>org.eclipse.papyrus.dsml.validation</artifactId>
<groupId>org.eclipse.papyrus</groupId>
- <version>1.0.1-SNAPSHOT</version>
+ <version>1.0.2-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project> \ No newline at end of file

Back to the top